path: /build/build/forgejo-www-apps-12.0.3+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e '/^EGO_SKIP_TIDY/d' /var/git/meta-repo/kits/net-kit/www-apps/forgejo/forgejo-12.0.3.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge www-apps/forgejo -pv -t && \
    USE="filecaps" emerge -j ${JOBS} --nodeps www-apps/forgejo && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/forgejo && \
    luet-portage --dir /pkgdir/forgejo www-apps/forgejo && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:8fa1c1d3c83bc655e25a43d4bf0d20fb55168196e15415e67c0235afa4f904b9
  package:
    name: forgejo
    version: 12.0.3+1
    category: www-apps
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A painless self-hosted Git service
    uri:
    - https://forgejo.org/
    buildtimestamp: 2025-09-29 15:39:18.755908868 +0000 UTC m=+639.949879601
    labels:
      BDEPEND: dev-lang/go net-libs/nodejs >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
      DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
      IUSE: systemd +filecaps
      RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
      emerge.packages: www-apps/forgejo
      kit: net-kit
      original.package.name: www-apps/forgejo
      original.package.slot: "0"
      original.package.version: 12.0.3
    treedir: /build/packages
  package_dir: /pkgdir/forgejo
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c8361482829f7649c985526239fe2b071c30cd396e553ab00b37934694607bd9
compressiontype: zstd
files:
- etc/conf.d/forgejo
- etc/forgejo/app.ini
- etc/init.d/forgejo
- usr/bin/forgejo
- usr/lib/tmpfiles.d/forgejo.conf
- usr/share/doc/forgejo-12.0.3/CONTRIBUTING.md.bz2
- usr/share/doc/forgejo-12.0.3/README.md.bz2
- usr/share/doc/forgejo-12.0.3/app.example.ini.bz2
- var/db/pkg/www-apps/forgejo-12.0.3/BDEPEND
- var/db/pkg/www-apps/forgejo-12.0.3/BUILD_TIME
- var/db/pkg/www-apps/forgejo-12.0.3/CATEGORY
- var/db/pkg/www-apps/forgejo-12.0.3/CBUILD
- var/db/pkg/www-apps/forgejo-12.0.3/CFLAGS
- var/db/pkg/www-apps/forgejo-12.0.3/CHOST
- var/db/pkg/www-apps/forgejo-12.0.3/CONTENTS
- var/db/pkg/www-apps/forgejo-12.0.3/COUNTER
- var/db/pkg/www-apps/forgejo-12.0.3/CTARGET
- var/db/pkg/www-apps/forgejo-12.0.3/CXX
- var/db/pkg/www-apps/forgejo-12.0.3/CXXFLAGS
- var/db/pkg/www-apps/forgejo-12.0.3/DEFINED_PHASES
- var/db/pkg/www-apps/forgejo-12.0.3/DEPEND
- var/db/pkg/www-apps/forgejo-12.0.3/DESCRIPTION
- var/db/pkg/www-apps/forgejo-12.0.3/EAPI
- var/db/pkg/www-apps/forgejo-12.0.3/FEATURES
- var/db/pkg/www-apps/forgejo-12.0.3/HOMEPAGE
- var/db/pkg/www-apps/forgejo-12.0.3/INHERITED
- var/db/pkg/www-apps/forgejo-12.0.3/IUSE
- var/db/pkg/www-apps/forgejo-12.0.3/IUSE_EFFECTIVE
- var/db/pkg/www-apps/forgejo-12.0.3/KEYWORDS
- var/db/pkg/www-apps/forgejo-12.0.3/LDFLAGS
- var/db/pkg/www-apps/forgejo-12.0.3/LICENSE
- var/db/pkg/www-apps/forgejo-12.0.3/NEEDED
- var/db/pkg/www-apps/forgejo-12.0.3/NEEDED.ELF.2
- var/db/pkg/www-apps/forgejo-12.0.3/PF
- var/db/pkg/www-apps/forgejo-12.0.3/RDEPEND
- var/db/pkg/www-apps/forgejo-12.0.3/REQUIRES
- var/db/pkg/www-apps/forgejo-12.0.3/RESTRICT
- var/db/pkg/www-apps/forgejo-12.0.3/SIZE
- var/db/pkg/www-apps/forgejo-12.0.3/SLOT
- var/db/pkg/www-apps/forgejo-12.0.3/USE
- var/db/pkg/www-apps/forgejo-12.0.3/environment.bz2
- var/db/pkg/www-apps/forgejo-12.0.3/forgejo-12.0.3.ebuild
- var/db/pkg/www-apps/forgejo-12.0.3/repository
- var/lib/forgejo/.keep_www-apps_forgejo-0
- var/lib/forgejo/custom/.keep_www-apps_forgejo-0
- var/lib/forgejo/data/.keep_www-apps_forgejo-0
- var/log/forgejo/.keep_www-apps_forgejo-0
package_cacheimage: ""
runtime:
  name: forgejo
  version: 12.0.3+1
  category: www-apps
  use_flags:
  - filecaps
  requires:
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A painless self-hosted Git service
  uri:
  - https://forgejo.org/
  labels:
    BDEPEND: dev-lang/go net-libs/nodejs >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
    DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
    IUSE: systemd +filecaps
    RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
    emerge.packages: www-apps/forgejo
    kit: net-kit
    original.package.name: www-apps/forgejo
    original.package.slot: "0"
    original.package.version: 12.0.3
